> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create quote

> For billingUnit "Hour", provide either workflowSettings or units, but not both. Additional workflow steps listed in additionalSteps are added to the quote by name.



## OpenAPI

````yaml /openapi/phrase-tms-v2.json post /api2/v2/quotes
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: '2'
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Analysis
  - name: Bilingual File
  - name: Connector
  - name: Conversations
  - name: Job
  - name: Net Rate Scheme
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quote
  - name: Reference File
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Webhook
  - name: Workflow changes
paths:
  /api2/v2/quotes:
    post:
      tags:
        - Quote
      summary: Create quote
      description: >-
        For billingUnit "Hour", provide either workflowSettings or units, but
        not both. Additional workflow steps listed in additionalSteps are added
        to the quote by name.
      operationId: createQuoteV2
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuoteCreateV2DtoV2'
        description: Create quote request
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/A_quote_for_translation_work_v2_'
        '400':
          description: Bad Request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    QuoteCreateV2DtoV2:
      type: object
      required:
        - analyse
        - name
        - priceList
        - project
      properties:
        additionalSteps:
          type: array
          items:
            type: string
        analyse:
          $ref: '#/components/schemas/IdReference'
        name:
          type: string
          minLength: 0
          maxLength: 255
        netRateScheme:
          $ref: '#/components/schemas/IdReference'
        priceList:
          $ref: '#/components/schemas/IdReference'
        project:
          $ref: '#/components/schemas/UidReference'
        provider:
          $ref: '#/components/schemas/ProviderReferenceV1'
        units:
          type: array
          items:
            $ref: '#/components/schemas/QuoteUnitsDtoV2'
        workflowSettings:
          type: array
          uniqueItems: true
          items:
            $ref: '#/components/schemas/QuoteWorkflowSettingDtoV2'
    A_quote_for_translation_work_v2_:
      type: object
      properties:
        additionalSteps:
          type: array
          description: Additional workflow steps added to the quote by name
          items:
            $ref: '#/components/schemas/An_additional_workflow_step_on_a_v2_quote'
        billingUnit:
          type: string
          description: Billing unit used for pricing
          enum:
            - Character
            - Word
            - Page
            - Hour
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        currency:
          type: string
          description: Currency code (ISO 4217) of the quote
        customerEmail:
          type: string
          description: Customer email address for the quote; null if not set
        dateCreated:
          type: string
          format: date-time
          description: Date and time the quote was created
        editable:
          type: boolean
          description: When true, the calling user may edit this quote
        id:
          type: integer
          format: int64
          description: Internal numeric identifier
        name:
          type: string
          description: Quote name
        netRateScheme:
          $ref: '#/components/schemas/NetRateSchemeReferenceV1'
        outdated:
          type: boolean
          description: When true, the quote is outdated and should be recalculated
        priceList:
          $ref: '#/components/schemas/PriceListReferenceV1'
        provider:
          $ref: '#/components/schemas/ProviderReferenceV1'
        quoteType:
          type: string
          description: Type of the quote
          enum:
            - BUYER
            - PROVIDER
        status:
          type: string
          description: Current status of the quote
          enum:
            - APPROVED
            - DECLINED
            - DRAFT
            - FOR_APPROVAL
            - NEW
        totalPrice:
          type: number
          format: double
          description: Total price of the quote; null if not yet calculated
        uid:
          type: string
          description: Unique identifier used in API paths
        workflowStepList:
          type: array
          description: Workflow steps included in the quote
          items:
            $ref: '#/components/schemas/WorkflowStepReferenceV1'
    IdReference:
      type: object
      required:
        - id
      properties:
        id:
          type: string
    UidReference:
      type: object
      required:
        - uid
      properties:
        uid:
          type: string
          example: 3HYnHHLkTPJfMxBCDbPXFe
          description: Unique identifier of the referenced object
      description: Reference to an object by its unique identifier
    ProviderReferenceV1:
      type: object
      required:
        - type
      discriminator:
        propertyName: type
      properties:
        id:
          type: string
        type:
          type: string
        uid:
          type: string
          description: UID of the provider
          readOnly: true
    QuoteUnitsDtoV2:
      type: object
      required:
        - analyseLanguagePart
      properties:
        analyseLanguagePart:
          $ref: '#/components/schemas/IdReference'
        value:
          type: number
          format: double
          description: Number of hours for this analyse language part
          minimum: 0
    QuoteWorkflowSettingDtoV2:
      type: object
      required:
        - workflowStep
      properties:
        units:
          type: array
          description: Per-analyze-language-part hour values for the Hour billing unit
          items:
            $ref: '#/components/schemas/QuoteUnitsDtoV2'
          maxItems: 100
          minItems: 0
        workflowStep:
          $ref: '#/components/schemas/IdReference'
    An_additional_workflow_step_on_a_v2_quote:
      type: object
      properties:
        id:
          type: string
          description: Internal identifier of the additional workflow step
        name:
          type: string
          description: Name of the additional workflow step
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        id:
          type: string
          description: Unique numeric identifier of the user
        lastName:
          type: string
          description: Last name of the user
        role:
          type: string
          description: Role of the user in the organization
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
          description: Unique string identifier of the user
        userName:
          type: string
          description: Username of the user
    NetRateSchemeReferenceV1:
      type: object
      properties:
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
          description: Date and time the scheme was created
        id:
          type: string
          description: Internal numeric identifier, encoded as a string
        isDefault:
          type: boolean
          description: >-
            Whether this scheme is the organization default applied when none is
            specified
        name:
          type: string
          description: Name of the net rate scheme
        uid:
          type: string
          description: Unique identifier used in API paths
    PriceListReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    WorkflowStepReferenceV1:
      type: object
      properties:
        id:
          type: string
        lqaEnabled:
          type: boolean
        name:
          type: string
        order:
          type: integer
          format: int32
        uid:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````